using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace ZB.MOM.WW.OtOpcUa.Configuration.Migrations
{
    /// <inheritdoc />
    public partial class AddClusterNodeTransportPorts : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "AkkaPort",
                table: "ClusterNode",
                type: "int",
                nullable: false,
                defaultValue: 4053);

            migrationBuilder.AddColumn<int>(
                name: "GrpcPort",
                table: "ClusterNode",
                type: "int",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AkkaPort",
                table: "ClusterNode");

            migrationBuilder.DropColumn(
                name: "GrpcPort",
                table: "ClusterNode");
        }
    }
}
